Home

Site Requirements

Note: If you are seeing this message you may be using Internet Explorer 7. Please note that IE7 is no longer supported. If you have IE8 or greater and you are still seeing this page, you may be inadvertently running IE8+ in "Compatibility Mode." Compatibility mode makes your modern browser behave like IE7 for a few select websites that are built only for legacy Microsoft viewers. To turn compatibility mode off (highly recommended), simply click on the small broken page icon in your address bar.

Lucke-Zone(TM) has been developed using modern Internet standards. In order for you to be able to clearly see all the information displayed, you must have at least the minimum required levels of the most popular browsers. To determine your browser's version, click on HELP, then ABOUT (your browser's name), and you should see a display listing your current version. If needed, you should be able to upgrade your version free of charge from your vendor's internet site or from your browser's own branded site. To ensure the highest levels of security you want to use a browser with 128-bit encryption (Domestic security).

Other browsers and operating systems may not be fully compatible with this site. If you are using an older browser, especially older versions of Internet Explorer, the site may not display correctly and there may also be some loss of functionality.

JavaScript must be enabled for pages to function properly.

FLASH(TM) may be required for web video. www.adobe.com

The choice of software may be out of your control. However, if you do have control over what software you are using you should consider upgrading your browser. Doing so will improve your web experience, enabling you to use and view sites as their creators intended. If you have any questions concerning upgrading your browser, contact your Internet Service Provider (Your ISP is the company that provides your Internet connection, such as Earthlink, RoadRunner, AOL, etc.) or the browser developer.